#include "system/singletons.h"
#include "osxsystem/singletons.h"

OSXSystem osxSys;
KeyboardHandler osxKbd;
MouseHandler osxMouse;
Display osxDisp;
LinuxHiResTimer osxTimer;
OSXDialog osxDialog;

void sysBindSingletons() {
	sys.setImp(&osxSys);
	kbd.setImp(&osxKbd);
	mouse.setImp(&osxMouse);
	disp.setImp(&osxDisp);
	timer.setImp(&osxTimer);
	dialog.setImp(&osxDialog);
}
