#ifndef OSXSYSTEM_SINGLETONS_H
#define OSXSYSTEM_SINGLETONS_H

#include "system.h"
#include "system/keyboard.h"
#include "system/mouse.h"
#include "system/display.h"
#include "system/linuxtimer.h"
#include "dialog.h"

extern OSXSystem osxSys;
extern KeyboardHandler osxKbd;
extern MouseHandler osxMouse;
extern Display osxDisp;
extern LinuxHiResTimer osxTimer;
extern OSXDialog osxDialog;

void sysBindSingletons();

#endif	//OSXSYSTEM_SINGLETONS_H
